# Uses of Interface
com.opensymphony.module.sitemesh.html.Tag

Packages that use Tag
Package
Description
com.opensymphony.module.sitemesh.html
com.opensymphony.module.sitemesh.html.rules
com.opensymphony.module.sitemesh.html.tokenizer
com.opensymphony.module.sitemesh.multipass

## Uses of Tag in com.opensymphony.module.sitemesh.html

Classes in com.opensymphony.module.sitemesh.html that implement Tag
Modifier and Type
Class
Description
`class`
`CustomTag`
A CustomTag provides a mechanism to manipulate the contents of a Tag.
Methods in com.opensymphony.module.sitemesh.html with parameters of type Tag
Modifier and Type
Method
Description
`protected void`
BlockExtractingRule.`end(Tag tag)`
`abstract void`
BasicRule.`process(Tag tag)`
`void`
BlockExtractingRule.`process(Tag tag)`
`void`
StateTransitionRule.`process(Tag tag)`
`void`
TagRule.`process(Tag tag)`
`protected void`
BlockExtractingRule.`start(Tag tag)`
Constructors in com.opensymphony.module.sitemesh.html with parameters of type Tag
Modifier
Constructor
Description
``
`CustomTag(Tag tag)`
Create a CustomTag based on an existing Tag - this takes a copy of the Tag.

## Uses of Tag in com.opensymphony.module.sitemesh.html.rules

Methods in com.opensymphony.module.sitemesh.html.rules with parameters of type Tag
Modifier and Type
Method
Description
`protected void`
ContentBlockExtractingRule.`end(Tag tag)`
`protected void`
MSOfficeDocumentPropertiesRule.`end(Tag tag)`
`protected void`
TitleExtractingRule.`end(Tag tag)`
`void`
BodyTagRule.`process(Tag tag)`
`void`
FramesetRule.`process(Tag tag)`
`void`
HtmlAttributesRule.`process(Tag tag)`
`void`
MetaTagRule.`process(Tag tag)`
`void`
MSOfficeDocumentPropertiesRule.`process(Tag tag)`
`void`
ParameterExtractingRule.`process(Tag tag)`
`void`
TagReplaceRule.`process(Tag tag)`
`protected void`
ContentBlockExtractingRule.`start(Tag tag)`
`protected void`
MSOfficeDocumentPropertiesRule.`start(Tag tag)`

## Uses of Tag in com.opensymphony.module.sitemesh.html.tokenizer

Classes in com.opensymphony.module.sitemesh.html.tokenizer that implement Tag
Modifier and Type
Class
Description
`class`
`Parser.ReusableToken`
Methods in com.opensymphony.module.sitemesh.html.tokenizer with parameters of type Tag
Modifier and Type
Method
Description
`void`
TokenHandler.`tag(Tag tag)`
Called when tokenizer encounters an HTML tag (open, close or empty).

## Uses of Tag in com.opensymphony.module.sitemesh.multipass

Methods in com.opensymphony.module.sitemesh.multipass with parameters of type Tag
Modifier and Type
Method
Description
`void`
DivExtractingPageParser.TopLevelDivExtractingRule.`process(Tag tag)`